%define        majver %(echo %{version}|cut -d. -f1)
%define        minver %(echo %{version}|cut -d. -f2)
%define        jarver %(echo %{version}|tr -d .)
Name:          java-bouncycastle
Version:       1.77
Release:       1mamba
Summary:       Bouncy Castle Crypto APIs for Java
Group:         System/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.bouncycastle.org/java.html
Source:        https://github.com/bcgit/bc-java.git/r%{majver}rv%{minver}/bc-java-%{version}.tar.bz2
License:       Apache Software License Version 1.1, MIT, X11
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: apache-ant
BuildRequires: javapackages
Obsoletes:     java-bouncycastle143 < 1.71
Provides:      java-bouncycastle143
Obsoletes:     java-bouncycastle145 <= 1.71
Provides:      java-bouncycastle145
Obsoletes:     java-bouncycastle-bcpg < 1.71
Provides:      java-bouncycastle-bcpg
Obsoletes:     java-bouncycastle-bctsp < 1.71
Provides:      java-bouncycastle-bctsp
Obsoletes:     java-bouncycastle-crypto < 1.71
Provides:      java-bouncycastle-crypto
Obsoletes:     java-bouncycastle-mail < 1.71
Provides:      java-bouncycastle-mail

%description
Bouncy Castle Crypto APIs for Java.

%prep
%setup -q -n bc-java-%{version}

%build
export LANG=en_US.UTF-8
ant -f ant/jdk18+.xml clean build-provider build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

pushd build/artifacts/jdk1.8/jars
	for jar in {bcjmail,bcpg,bcprov-ext,bctest,bcutil,bcmail,bcpkix,bcprov,bctls}-jdk18on-%{jarver}.jar; do
		jard=$(echo $jar | sed s/-jdk18on//g)
		install -D -pm 644 $jar %{buildroot}%{_javadir}/$jard
	done
popd

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{jarver}.jar; do 
		ln -sf ${jar} $(echo $jar| sed  -e "s|-%{jarver}||g")
	done
)


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
#%{_sysconfdir}/java/security/security.d/2000-org.bouncycastle.jce.provider.BouncyCastleProvider
%{_javadir}/bcmail-%{jarver}.jar
%{_javadir}/bcmail.jar
%{_javadir}/bcpg-%{jarver}.jar
%{_javadir}/bcpg.jar
%{_javadir}/bcprov-%{jarver}.jar
%{_javadir}/bcprov.jar
%{_javadir}/bcprov-ext-%{jarver}.jar
%{_javadir}/bcprov-ext.jar
%{_javadir}/bctest-%{jarver}.jar
%{_javadir}/bctest.jar
%{_javadir}/bcjmail-%{jarver}.jar
%{_javadir}/bcjmail.jar
%{_javadir}/bcpkix-%{jarver}.jar
%{_javadir}/bcpkix.jar
%{_javadir}/bctls-%{jarver}.jar
%{_javadir}/bctls.jar
%{_javadir}/bcutil-%{jarver}.jar
%{_javadir}/bcutil.jar
%doc LICENSE.html

%changelog
* Fri Dec 01 2023 Automatic Build System <autodist@mambasoft.it> 1.77-1mamba
- automatic version update by autodist

* Tue Sep 19 2023 Automatic Build System <autodist@mambasoft.it> 1.76-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 1.74-1mamba
- automatic version update by autodist

* Fri Apr 14 2023 Automatic Build System <autodist@mambasoft.it> 1.73-1mamba
- automatic version update by autodist

* Thu Oct 06 2022 Automatic Build System <autodist@mambasoft.it> 1.72-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.71-1mamba
- update to 1.71

* Thu Nov 25 2010 gil <puntogil@libero.it> 1.45-3mamba
- rebuilt devel
- add system java-pack200-ant-task support

* Wed Mar 03 2010 gil <puntogil@libero.it> 1.45-2mamba
- added %%post %%postun script
- renamed %{name}
- added maven poms

* Thu Feb 25 2010 gil <puntogil@libero.it> 1.45-1mamba
- update to 1.45
- renamed for legacy %{name}145
- added java-jcoverage support

* Sat Jul 11 2009 gil <puntogil@libero.it> 1.43-1mamba
- update to 1.43
- renamed for legacy %{name}143

* Fri Apr 03 2009 gil <puntogil@libero.it> 1.42-1mamba
- Initial package